Skip to main content

JSF 2 over OC4J

2 replies [Last post]
zeeeros
Offline
Joined: 2010-10-08
Points: 0

Hi everybody

We were experiment witj JSF + OC4J aplication Server, We actually success to deploy an application by adding the following jars into app. lib:

el-api.jar
el-ri-1.0.jar
jsp-api.jar
servlet-api.jar

Containing servlet 2.4 ,JSP 2.1 specifications and EL API.

This is a list of warnings and issues that OC4J logs show us:

1) WARNING J2EE JSP-0033 Invalid or unsupported tld version: 2.1
2) no "!/" suffix so does not name a path within the code-source (for one jar)

We hope you can tell us your opinion about it, or how can we ovoid this messages and if there is a problem to do it to get jsf 2 with oc4j

Thanks!

Message was edited by: zeeeros

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
vdweij
Offline
Joined: 2010-02-01
Points: 0

I believe JSF2 requires servlet spec 2.5 at a minimum. A year a go I struggled with this same issue. OC4j 10.x and JSF2. Since oc4j only supports some jave EE 5 specs this might just not work. Do you have the chance to upgrade to Oracle Weblogic or any other container for that matter?

311 Guest
Offline
Joined: 2010-11-10
Points: 0

I believe JSF2 requires servlet spec 2.5 at a minimum. A year a go I
struggled with this same issue. OC4j 10.x and JSF2. Since oc4j only supports
some jave EE 5 specs this might just not work. Do you have the chance to
upgrade to Oracle Weblogic or any other container for that matter?